Subject: bug#10348: 24.0.92; Save and load window states

From: martin rudalics <[email-masked]>
Date: Sun, 25 Dec 2011 14:57:36 +0100

> And (4) converting parameter values to something with a read syntax
 > looks promising as well.  We could reuse `desktop-value-to-string'
 > and additionally serialize window ids as numbers to handle cases like
 > when someone does (set-window-dedicated-p nil (selected-window))

Just that window numbers from a previous session won't be necessarily
meaningful in the present session.  So we either have to make such
window numbers very complex to rule out any misinterpretations or allow
only references to windows of the saved frame.

martin